Support » Plugin: YITH WooCommerce Compare » Error when adding Yith Compare widget

  • I’m getting this error when adding Yith Compare widget to a page with Elementor:

    Warning: extract() expects parameter 1 to be array, null given in ../public_html/wp-content/plugins/yith-woocommerce-compare/widgets/class.yith-woocompare-widget.php on line 40

    My theme is Electro v2.7.1 but the issue also occurs if I use Twenty Twenty

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter senextech

    (@senextech)

    Related to same issue I also get this error when I try to access the Elementor page that has the Compare Widget

    Fatal error: Uncaught Error: Call to undefined method YITH_Woocompare_Admin::list_products_html() in /home/shoploc2/public_html/wp-content/plugins/yith-woocommerce-compare/widgets/class.yith-woocompare-widget.php:49 Stack trace: #0 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/widgets/wordpress.php(271): YITH_Woocompare_Widget->widget(NULL, Array) #1 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/base/controls-stack.php(1892): Elementor\Widget_WordPress->render() #2 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/base/widget-base.php(549): Elementor\Controls_Stack->render_by_mode() #3 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/base/widget-base.php(662): Elementor\Widget_Base->render_content() #4 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/base/element-base.php(736): Elementor\Widget_Base->get_raw_data(true) #5 /home/shoploc2/public_html/wp-content/plugins/elementor/includes/base/element-base.php(736): Elementor\Element_Base->g in /home/shoploc2/public_html/wp-content/plugins/yith-woocommerce-compare/widgets/class.yith-woocompare-widget.php on line 49

    Plugin Author YITHEMES

    (@yithemes)

    Hi there,

    we have tested it in our local environment and works fine. So please make sure you0re running the latest version of YITH WooCommerce Compare plugin. If yes, we need to understand how to replicate this issue. Please, try to deactivate all plugins and see if the problem disappear. If so, try to activate them again one by one and see which one produces the issue.
    If the problem is not from a plugin, try to activate the default theme Twenty Twenty-One and see if you have the same issue.
    Remember to clean the cache if you using it.
    Let us know.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Error when adding Yith Compare widget’ is closed to new replies.